groovy.util

## Class ObservableList.MultiElementAddedEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableList.ElementEvent
      - - groovy.util.ObservableList.MultiElementAddedEvent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ObservableList

    public static class ObservableList.MultiElementAddedEvent
    extends ObservableList.ElementEvent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ObservableList.MultiElementAddedEvent(java.lang.Object source, int index, java.util.List values)`

### Method Summary

Methods
`java.util.List` `getValues()`

### Methods inherited from class groovy.util.ObservableList.ElementEvent

`getChangeType, getIndex, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObservableList.MultiElementAddedEvent

    public ObservableList.MultiElementAddedEvent(java.lang.Object source,
                                         int index,
                                         java.util.List values)

### Method Detail

#### getValues

    public java.util.List getValues()